Bug 122992 - balsa translation encodings bad?
Summary: balsa translation encodings bad?
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: balsa   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-11 06:52 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 15:31:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2004-05-11 06:52:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040418 Firefox/0.8

Description of problem:
[warren@laptop warren]$ file /usr/share/applications/net-balsa.desktop
/usr/share/applications/net-balsa.desktop: UTF-8 Unicode text

/usr/share/applications/net-balsa.desktop
Name[ja]=�Х륵

Balsa's .desktop file is encoded UTF-8, but it appears that multiple
strings were converted improperly and appear as garbage.  [ja] is one
example above of 文字化け, but there appear to
be several more.

文字化け = unintelligible sequence of characters

Version-Release number of selected component (if applicable):
balsa-2.0.17-1

Comment 1 Warren Togami 2004-05-11 06:54:36 UTC
Doh, I thought our Bugzilla could handle unicode characters.  I guess
I was wrong. =)

Comment 2 Eido Inoue 2004-05-12 20:10:31 UTC
Comment #1: Our bugzilla DOES handle Unicode just fine. Your browser
must be borked. Here's proof (notice that the e-mail to eng-i18n-list
is also encoded properly):

æ¥æ¬èªã®ãã¹ã

Comment 3 Warren Togami 2004-05-19 09:45:50 UTC
æ¥æ¬èª another test... sorry.

Comment 4 Nakai 2004-05-19 10:35:40 UTC
The upstream balsa should use intltool to handle .desktop file message.

Comment 5 Nakai 2004-05-19 10:38:01 UTC
nihongo test

æ¥æ¬èªãã¹ãtest

Comment 6 Nakai 2004-05-19 11:08:04 UTC
Filed.
http://bugzilla.gnome.org/show_bug.cgi?id=142769

Comment 7 Nakai 2004-05-24 18:06:16 UTC
Balsa fixed and closed this issue in its CVS HEAD.
So the necessary fix should happen with its next new release. FYI
http://bugzilla.gnome.org/show_bug.cgi?id=142769

Comment 8 Warren Togami 2004-05-26 00:41:51 UTC
I am guessing that we probably wont see this unless we upgrade to
their 2.1.x development branch, which would also require us to include
gmail in the distribution.  Perhaps this would be best moved to Extras
ASAP, that way we can take advantage of gpgme capability too.

Opinions?

Comment 9 Craig Routledge 2004-09-26 15:12:53 UTC
Fedora Core Test 2 includes the 2.2.x series.  Suggest closing this on
e as NEWRELEASE.

As far as I know, Sylpheed still requires GPGME 0.3 whereas Balsa
wants 0.9.



Note You need to log in before you can comment on or make changes to this bug.